﻿<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <title> inscription</title>
  <link rel="stylesheet" type="text/css" href="styleInscription.css">

</head>
<body>


<!-- 

  Donneés à saisir :   Lorsqu’on charge la page, la machine attend qu’on saisisse le nom.

        --identité
              
              -nom :  deux caractères ou plus   ,obligatoires
              -prénom : deux caractères ou plus , obligatoires
              -civilité (Mme, Mell, M) //  mutuellement exclusifs donc <type = "radio">

        --Adresse
              -n°, 
              -rue 
              -code postal : 5 chiffres
              -ville
        --Connexion
              -adresse mail : obligatoires
              -mot de passe : 8-16 caractères,chiffres, lettres, ou signes tels que ., -,_ ou  # ;obligatoires

        --centres d’intérêt //  cocher plusieurs centres d’intérêttype donc < type ="checkbox">
              -économie
              -high tech
              -politique
              -sport
              -vie pratique

  contraintes :

-->

  <h1> Inscription</h1>
  <form method="get" action="inscription.php">

    <fieldset>

      <legend>Identité:</legend>

      <div class="champ">
        <label for="nom">Nom :</label>
        <input type="text" id="nom" name="nom" minlength="2"  required>
      </div>

      <div class="champ">
        <label for="prenom">Prénom :</label>
        <input type="text" id="prenom" name="prenom" minlength="2"  required>
      </div>

      <div class="champ">
        <input type="radio" id="h" name="sexe" value="homme">
        <label for="h">Melle</label>
        <input type="radio" id="f" name="sexe" value="femme">
        <label for="f">Mme</label>
        <input type="radio" id="f" name="sexe" value="femme">
        <label for="f">M</label>
      </div>
      
    </fieldset>
    <br>

    <fieldset>

      <legend>Adresse:</legend>

      <div class="champ">
        <label for="numRue">N°Rue :</label>
        <input type="number" id="numRue" name="numRue">
      </div>

      <div class="champ">
        <label for="rue">Rue :</label>
        <input type="text" id="rue" name="rue" >
      </div>

      <div class="champ">
        <label for="codePostal">Code Postal :</label>
        <input type="text" id="codePostal" name="codePostal" pattern="[0-9]{5}">
      </div>

      <div class="champ">
        <label for="ville"> Ville :</label>
        <input type="text" id="ville" name="ville">
      </div>
      
    </fieldset>
    <br>

    <fieldset>
      <legend> centres d’intérêt :</legend>
      <div class="champ">
        <input type="checkbox" id="economie" name="centresInteret" value="1">
        <label for="economie">Economie</label>
        <br>
        <input type="checkbox" id="highTech" name="centresInteret" value="2">
        <label for="highTech"> High-tech</label>
        <br>
        <input type="checkbox" id="politique" name="centresInteret" value="3">
        <label for="politique">Politique</label>
        <br>
        <input type="checkbox" id="sport" name="centresInteret" value="4">
        <label for="sport">Sport</label>
        <br>
        <input type="checkbox" id="viePratique" name="centresInteret" value="5">
        <label for="viePratique">Vie Pratique</label>
        <br>
      </div> 
    </fieldset>

    <br>
    <fieldset>
      <legend>Validation :</legend>
      <div class="champ">
        <label for="mail"> Donnez une adresse mail (identifiant) :</label>
        <input type="email" id="mail" name="mail" required>

        <label for="pass">Choisissez un mot de passe :</label>
        <input type="password" minlength="8"  pattern="[0-9a-zA-Z][.-_#]{8,16}" required> 
        <p> Le mot de passe  :</p>
        <ul>
          <li>Entre 8 et 16 caractères</li>
          <li>Ne comporte que des chiffres, lettres, ou signes tels que ., -,_ ou  #  </li>
        </ul>
      </div>
      <input type="submit" value="Envoyer">
    </fieldset>
  </form>

</body>
</html>